"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tlsServer = exports.server = void 0;
const http2_1 = require("http2");
const fs_1 = require("fs");
const path_1 = require("path");
exports.server = http2_1.createServer((req, res) => {
    res.end("Not using TLS");
});
exports.tlsServer = http2_1.createSecureServer({
    key: fs_1.readFileSync(path_1.join(__dirname, "support/server-key.pem")),
    cert: fs_1.readFileSync(path_1.join(__dirname, "support/server-crt.pem")),
    ca: fs_1.readFileSync(path_1.join(__dirname, "support/ca-crt.pem")),
    allowHTTP1: true,
}, (req, res) => {
    res.statusCode = 200;
    res.end(`Using TLS over HTTP ${req.httpVersion}`);
});
//# sourceMappingURL=http2.js.map